Patchwork qemu: Simplify DEPENDS

login
register
mail settings
Submitter Richard Purdie
Date Aug. 14, 2014, 2:27 p.m.
Message ID <1408026469.22187.116.camel@ted>
Download mbox | patch
Permalink /patch/78237/
State Accepted
Commit 06d6608a89dde81a0c78f07e4aecbf490b0a94b6
Headers show

Comments

Richard Purdie - Aug. 14, 2014, 2:27 p.m.
These DEPENDS are now identical and the native/nativesdk variants can
be dropped in favour of letting PACKAGECONFIG sort it out.

Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>

Patch

diff --git a/meta/recipes-devtools/qemu/qemu.inc b/meta/recipes-devtools/qemu/qemu.inc
index aaec58a..0edf30b 100644
--- a/meta/recipes-devtools/qemu/qemu.inc
+++ b/meta/recipes-devtools/qemu/qemu.inc
@@ -2,8 +2,6 @@  SUMMARY = "Fast open source processor emulator"
 HOMEPAGE = "http://qemu.org"
 LICENSE = "GPLv2 & LGPLv2.1"
 DEPENDS = "glib-2.0 zlib pixman"
-DEPENDS_class-native = "zlib-native glib-2.0-native pixman-native"
-DEPENDS_class-nativesdk = "nativesdk-zlib nativesdk-glib-2.0 nativesdk-pixman"
 RDEPENDS_${PN}_class-nativesdk = "nativesdk-libsdl"
 RDEPENDS_${PN}_class-target += "bash python"